Subject: RE: [SIP] transfer call flows

From: "Elwell, John" <[email-masked]>
Date: Thu, 19 Apr 2001 11:27:10 +0100

Alex Hardisty wrote:

> What if UA-C is a set of geographically dispersed gateways to another
> network? Consider the following scenario:
> 
> The Transferring and the Transferred Users are in the SIP 
> network and the
> Transferred-to User (represented by UA-C1) is in the other 
> network. The
> shortest route between the Transferred User and the 
> Transferred-to User may
> be via a different gateway (another instance of UA-C, UA-C2) than the
> session (secondary call) between the Transferring User and the
> Transferred-to User. In this case, how does UA-C1 know that 
> the re-routed
> call has been successful via UA-C2 and that the replaced 
> original call can
> now be cleared? I think this can only be achieved at the 
> Transferred-to User
> in the other network.
> It would involve the use of a "correlation identity", 
> obtained from the
> Transferred-to User prior to REFER and carried in the 
> re-routed call so that
> on receipt the Transferred-To User could correlate the two calls and
> initiate clearing of the original call.

I agree there is a problem here and it needs to be solved, but I am not
convinced Alex's solution is the only one. Alex's solution depends on the
other network having the capability of linking the new call with the
original call. This is not the case for some legacy networks.

An alternative solution would be to force the new call to be routed to
UA-C1, even though in normal circumstances it might be routed through UA-C2.
It is not clear to me whether current proposals can accomplish this. Any
thoughts?
 
--------------------------------------------------------------
John Elwell ([email-masked])
Siemens Communications Limited,
Technology Drive, Beeston,
Nottingham NG9 1LA, UK
Tel: +44 115 943 4989   Fax: +44 115 943 4969
--------------------------------------------------------------
	Internet communications are not secure and therefore Siemens
Communications Limited does not accept legal responsibility for the
contents of this message. Any views or opinions presented are solely
those of the author and do not necessarily represent those of Siemens
Communications Limited unless otherwise specifically stated.

_______________________________________________
This list is for continuing development of the SIP protocol.
The sip-implementor's list is the place to discuss implementation,
and to receive advice on understanding existing sip.
To subscribe to it, send mail to 
[email-masked] with "subscribe" in the body.